org.hibernate.search.elasticsearch.impl

## Class JsonBuilder.Object

- java.lang.Object
- - org.hibernate.search.elasticsearch.impl.JsonBuilder.Object

- Enclosing class:
    JsonBuilder

      public static class JsonBuilder.Object
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonBuilder.Object` | `add(String property, JsonBuilder.Array element)`
    `JsonBuilder.Object` | `add(String property, JsonBuilder.Object element)`
    `JsonBuilder.Object` | `add(String property, com.google.gson.JsonElement element)`
    `JsonBuilder.Object` | `addProperty(String property, Boolean value)`
    `JsonBuilder.Object` | `addProperty(String property, Character value)`
    `JsonBuilder.Object` | `addProperty(String property, Number value)`
    `JsonBuilder.Object` | `addProperty(String property, Object value)`
    `JsonBuilder.Object` | `addProperty(String property, String value)`
    `JsonBuilder.Object` | `addProperty(String property, URLEncodedString value)`
    `JsonBuilder.Object` | `append(JsonBuilder.JsonAppender<? super JsonBuilder.Object> appender)`
    `com.google.gson.JsonObject` | `build()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### add

          public JsonBuilder.Object add(String property,
                                        com.google.gson.JsonElement element)

    - #### add

          public JsonBuilder.Object add(String property,
                                        JsonBuilder.Array element)

    - #### add

          public JsonBuilder.Object add(String property,
                                        JsonBuilder.Object element)

    - #### addProperty

          public JsonBuilder.Object addProperty(String property,
                                                Object value)

    - #### addProperty

          public JsonBuilder.Object addProperty(String property,
                                                Boolean value)

    - #### addProperty

          public JsonBuilder.Object addProperty(String property,
                                                Number value)

    - #### addProperty

          public JsonBuilder.Object addProperty(String property,
                                                Character value)

    - #### addProperty

          public JsonBuilder.Object addProperty(String property,
                                                String value)

    - #### addProperty

          public JsonBuilder.Object addProperty(String property,
                                                URLEncodedString value)

    - #### append

          public JsonBuilder.Object append(JsonBuilder.JsonAppender<? super JsonBuilder.Object> appender)

    - #### build

          public com.google.gson.JsonObject build()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved